Request workspace deletion
Schedule the workspace to be purged after a seven-day grace period. Owner only, with a recent step-up. Until `scheduled_for` the workspace is read-only and an Owner can cancel; repeating the request returns the existing schedule.
POST
Schedule the workspace to be purged after a seven-day grace period.
Owner only, with a recent step-up. Until scheduled_for the workspace is read-only and
an Owner can cancel; repeating the request returns the existing schedule.
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidSuccessful Response
application/json- response
completed_at*|nullid*IdFormat
uuidlast_error*string|nullrequested_at*Requested AtFormat
date-timescheduled_for?|When the purge may start; an Owner can cancel until then.
status*Statusscheduled while the grace period runs, then queued, processing, and completed.
workspace_id*Workspace IdFormat
uuidcurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/deletion'Example Response
{ "completed_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_error": "string", "requested_at": "2019-08-24T14:15:22Z", "scheduled_for": "2019-08-24T14:15:22Z", "status": "string", "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"}